/**
 *
 * @date 2023-02-16 16:29:18
 * @author 鲜伟坚
 */
import { AxiosRequestConfig } from 'axios';
import * as FormData from 'form-data';
/**
 * 基于Axios框架实现的Http工具
 * @author wufl2019@qq.com
 * @date 2020-06-23
 */
export declare class HttpClient {
    private readonly axios;
    private readonly tyAxios;
    constructor(_timeout?: number);
    tyRequest(conf: AxiosRequestConfig): Promise<any>;
    /**
     * @desc get请求
     * @param {String} path 请求api路径
     * @param {any} data 参数对象
     * @param {any} config 局部配置 {headers: {'X-Custom-Header': 'foobar'}}
     */
    get(url: string, data?: any, config?: any): Promise<any>;
    getImg(url: string, data?: any, config?: any): Promise<any>;
    getImageToBase64(url: string, config?: AxiosRequestConfig): Promise<any>;
    /**
     * @desc post表单请求
     * @param {String} path 请求api路径
     * @param {any} data 参数对象
     * @param {any} config 局部配置 {headers: {'X-Custom-Header': 'foobar'}}
     */
    postForm(url: string, data?: any, config?: any): Promise<any>;
    /**
     * @desc post表单请求
     * @param {String} path 请求api路径
     * @param {any} data 参数对象
     * @param {any} config 局部配置 {headers: {'X-Custom-Header': 'foobar'}}
     */
    postFile(url: string, data: FormData): Promise<any>;
    /**
     * @desc post JSON
     * @param {String} path 请求api路径
     * @param {any} data 参数对象
     * @param {any} config 局部配置 {headers: {'X-Custom-Header': 'foobar'}}
     */
    postJson(url: string, params?: any, bodyObj?: any, config?: any): Promise<any>;
    /**
     * @desc post
     * @param {String} path 请求api路径
     * @param {any} data 参数对象
     * @param {any} config 局部配置 {headers: {'X-Custom-Header': 'foobar'}}
     */
    post(url: string, data?: any, config?: any): Promise<any>;
    tyPost(url: string, data?: any, config?: any): Promise<any>;
    /**
     * @desc request
     * @param {any} config AxiosRequestConfig
     */
    request(config?: AxiosRequestConfig): Promise<any>;
    postFormData(url: string, data: FormData): Promise<any>;
}
declare const _default: HttpClient;
export default _default;
